pathogen.register_pathogen("flu", {
  description = "Highly contagious and possibly deadly for those with low health.",
  symptoms = 75,
  latent_period = 10,
  infection_period = 740,
  on_infect = function( infection )
    local _player = minetest.get_player_by_name( infection.player )
    local _pos = _player:getpos()
    minetest.sound_play( "pathogen_cough", { pos = _pos, gain = 0.3 } )
    print("Player " .. _player:get_player_name() .. " caught the flu...")
  end,
  on_symptom = function( infection )
    local player = minetest.get_player_by_name( infection.player )
    local pos = player:getpos()
    local players_nearby = pathogen.get_players_in_radius(pos, 5)
    local hp = player:get_hp()
    if hp <= 20 and hp >= 15 then
      player:set_hp( hp - 2 ) 
    end
    if hp <= 10 then
      player:set_hp( hp - 1 ) 
      if math.random(10) == 1 then
        player:set_hp( 6 ) 
      end
    end
    if math.random(2) == 1 then
    minetest.sound_play( "pathogen_sneeze", { pos = pos, gain = 0.5 } )
    else
    minetest.sound_play( "pathogen_cough", { pos = pos, gain = 0.3 } )
    end
    for index, player_nearby in ipairs(players_nearby) do
      local player_nearby_name = player_nearby:get_player_name()
      if player_nearby_name ~= infection.player then
        if math.random(3) == 1 then
          pathogen.infect( infection.pathogen, player_nearby_name )
        end
      end
    end
  end
})

--Caught the flu when the player take a bath at night
local function getFlu(dtime)
  local daytime = minetest.get_timeofday() * 24000
  if (daytime < 5000) or (daytime > 20000) then
    for _,player in ipairs(minetest.get_connected_players()) do
      --check if player is alive
      if player:get_hp() > 0 then
        --check if player already have the pathogen
        if (pathogen.get_infection(player:get_player_name(), "flu") == nil) then
          local posAux = player:getpos()
          local nodeAux = minetest.get_node(posAux)
          if (minetest.get_item_group(nodeAux.name, "water") ~= 0) then
            local flu = pathogen.get_pathogen("flu")
            pathogen.infect(flu, player:get_player_name())
          end
        end
       end
     end
  end
end

minetest.register_globalstep(getFlu)
